import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';

@Component({
    selector: 'page-settings',
    templateUrl: 'settings.html'
})
export class SettingsPage {

    initialPage: number;
    sync: boolean;
    syncFrecuency;

    constructor(
        public navCtrl: NavController
    ) { 
        this.initialize();
    }

    ionViewDidLoad() {
        console.log('Hello Settings Page');
    }

    /**
     *
     */
    initialize() {
        this.initialPage = +localStorage.getItem("initial_page");
        this.sync = (localStorage.getItem("sync") === "true");
        this.syncFrecuency = +(localStorage.getItem("sync_frecuency") ? localStorage.getItem("sync_frecuency") : "10");
    }

    /**
     *
     */
    changeInitialPage(e: any) {
        localStorage.setItem("initial_page", e);
    }

    /**
     *
     */
    changeSync(e: any) {
        localStorage.setItem("sync", e);
    }

    /**
     *
     */
    changeSyncFrecuency(e: any) {
        localStorage.setItem("sync_frecuency", e);
    }
}
